## org.biojava.bio.seq
Interface FilterUtils.FilterTransformer

All Known Implementing Classes:
  FilterUtils.DelegatingTransformer

Enclosing class:
  FilterUtils

    public static interface FilterUtils.FilterTransformer

An object able to transform some FeatureFilter instances sytematically into others.

Author:
  Matthew Pocock

Method Summary
`FeatureFilter` `transform(FeatureFilter filter)` Transform a filter, or return null if it can not be transformed.

Method Detail

### transform

    FeatureFilter transform(FeatureFilter filter)

  Transform a filter, or return null if it can not be transformed.

  Parameters:
    `filter` - the FeatureFilter to attempt to transform
  Returns:
    a transformed filter, or null